<?php
/**
 * CustomerBasketsApiTest
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\BasketsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Baskets
 *
 * Ensi Baskets
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace Ensi\BasketsClient;

use \Ensi\BasketsClient\Configuration;
use \Ensi\BasketsClient\ApiException;
use \Ensi\BasketsClient\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * CustomerBasketsApiTest Class Doc Comment
 *
 * @category Class
 * @package  Ensi\BasketsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class CustomerBasketsApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for deleteBasketCustomer
     *
     * Удалить текущую корзину пользователя.
     *
     */
    public function testDeleteBasketCustomer()
    {
    }

    /**
     * Test case for patchBasketCustomerSeller
     *
     * Установить продавца в корзину пользователя.
     *
     */
    public function testPatchBasketCustomerSeller()
    {
    }

    /**
     * Test case for searchBasketCustomer
     *
     * Получить информацию о корзине пользователя.
     *
     */
    public function testSearchBasketCustomer()
    {
    }

    /**
     * Test case for setBasketCustomerItem
     *
     * Установить товар в корзину пользователя.
     *
     */
    public function testSetBasketCustomerItem()
    {
    }
}
